Create a channel
POST/api/chat/channels
POST
/api/chat/channels
Owners and managers only. Channel names are unique per band, case-insensitively.
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Channel to create
object
name
required
string
type
string
referenceId
string format: uuid
visibleToRoles
Array<string>
postRoles
Array<string>
Responses
Section titled “Responses”Created
object
ok
required
boolean
data
Invalid input
object
ok
required
boolean
error
required
string
code
string
Unauthenticated
object
ok
required
boolean
error
required
string
code
string
Forbidden
object
ok
required
boolean
error
required
string
code
string
A channel with that name already exists
object
ok
required
boolean
error
required
string
code
string
Server error
object
ok
required
boolean
error
required
string
code
string
